# Список изменений в версии 1.2.0

## Добавлено

### Функциональный интерфейс
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BPYS-117 | Обновлены системные требования: версия интерпретатора Python обновлена до 3.12. |
| BPYS-102 | Функция `cloudbroker.account.create`: добавлен параметр `zone_ids`. |
| BPYS-102 | Функция `cloudbroker.account.create`: добавлен параметр `default_zone_id`. |
| BPYS-103 | Функция `cloudapi.account.update`: добавлен параметр `default_zone_id`.|
| BPYS-216 | Функция `cloudapi.account.get`: у атрибута `CloudapiAccountGetResultModel.vm_features` в перечисляемом типе `VMFeature` было добавлено значение `changemac`. |
| BPYS-216 | Функция `cloudapi.account.get`: у атрибута `CloudapiAccountGetResultModel.vm_features` в перечисляемом типе `VMFeature` было добавлено значение `trunk`. |
| BPYS-216 | Функция `cloudapi.rg.get`: у атрибута `CloudapiRgGetResultModel.vm_features` в перечисляемом типе `VMFeature` было добавлено значение `changemac`. |
| BPYS-216 | Функция `cloudapi.rg.get`: у атрибута `CloudapiRgGetResultModel.vm_features` в перечисляемом типе `VMFeature` было добавлено значение `trunk`. |
| BPYS-216 | Функция `cloudapi.account.list_deleted`: у атрибута `CloudapiAccountListDeletedResultModel.data.vm_features` в перечисляемом типе `VMFeature` было добавлено значение `changemac`. |
| BPYS-216 | Функция `cloudapi.account.list_deleted`: у атрибута `CloudapiAccountListDeletedResultModel.data.vm_features` в перечисляемом типе `VMFeature` было добавлено значение `trunk`. |
| BPYS-216 | Функция `cloudapi.account.list`: у атрибута `CloudapiAccountListResultModel.data.vm_features` в перечисляемом типе `VMFeature` было добавлено значение `changemac`. |
| BPYS-216 | Функция `cloudapi.account.list`: у атрибута `CloudapiAccountListResultModel.data.vm_features` в перечисляемом типе `VMFeature` было добавлено значение `trunk`. |
| BPYS-216 | Функция `cloudapi.rg.list`: у атрибута `CloudapiRgListResultModel.data.vm_features` в перечисляемом типе `VMFeature` было добавлено значение `changemac`. |
| BPYS-216 | Функция `cloudapi.rg.list`: у атрибута `CloudapiRgListResultModel.data.vm_features` в перечисляемом типе `VMFeature` было добавлено значение `trunk`. |
| BPYS-216 | Функция `cloudbroker.account.create`: у параметра `vm_features` в перечисляемом типе `VMFeature` было добавлено значение `changemac`. |
| BPYS-216 | Функция `cloudbroker.account.create`: у параметра `vm_features` в перечисляемом типе `VMFeature` было добавлено значение `trunk`. |
| BPYS-104 | Функция `cloudapi.account.get`: добавлен атрибут `CloudapiAccountGetResultModel.default_zone_id`. |
| BPYS-104 | Функция `cloudapi.account.get`: добавлен атрибут `CloudapiAccountGetResultModel.zones`. |
| BPYS-160 | Функция `cloudapi.compute.get`: у атрибута `CloudapiComputeGetResultModel.interfaces.net_type` в перечисляемом типе `NetType` было добавлено значение `SDN`. |
| BPYS-160 | Функция `cloudapi.compute.get`: у атрибута `CloudapiComputeGetResultModel.interfaces.net_type` в перечисляемом типе `NetType` было добавлено значение `TRUNK`. |
| BPYS-160 | Функция `cloudapi.compute.list`: у атрибута `CloudapiComputeListResultModel.data.interfaces.net_type` в перечисляемом типе `NetType` было добавлено значение `SDN`. |
| BPYS-160 | Функция `cloudapi.compute.list`: у атрибута `CloudapiComputeListResultModel.data.interfaces.net_type` в перечисляемом типе `NetType` было добавлено значение `TRUNK`. |
| BPYS-160 | Функция `cloudapi.compute.net_attach`: у атрибута `CloudapiComputeNetAttachResultModel.interfaces.net_type` в перечисляемом типе `NetType` было добавлено значение `SDN`. |
| BPYS-160 | Функция `cloudapi.compute.net_attach`: у атрибута `CloudapiComputeNetAttachResultModel.interfaces.net_type` в перечисляемом типе `NetType` было добавлено значение `TRUNK`. |
| BPYS-160 | Функция `cloudapi.compute.net_attach`: у параметра `net_type` в перечисляемом типе `NetType` было добавлено значение `SDN`. |
| BPYS-160 | Функция `cloudapi.compute.net_attach`: у параметра `net_type` в перечисляемом типе `NetType` было добавлено значение `TRUNK`. |
| BPYS-160 | Функция `cloudapi.kvmx86.create_blank`: у параметра `interfaces` в модели `InterfaceAPIParamsNM`, у атрибута `net_type` в перечисляемом типе `NetType` было добавлено значение `SDN`. |
| BPYS-160 | Функция `cloudapi.kvmx86.create_blank`: у параметра `interfaces` в модели `InterfaceAPIParamsNM`, у атрибута `net_type` в перечисляемом типе `NetType` было добавлено значение `TRUNK`. |
| BPYS-160 | Функция `cloudapi.kvmx86.create`: у параметра `interfaces` в модели `InterfaceAPIParamsNM`, у атрибута `net_type` в перечисляемом типе `NetType` было добавлено значение `SDN`. |
| BPYS-160 | Функция `cloudapi.kvmx86.create`: у параметра `interfaces` в модели `InterfaceAPIParamsNM`, у атрибута `net_type` в перечисляемом типе `NetType` было добавлено значение `TRUNK`. |
| BPYS-160 | Функция `cloudapi.vins.get`: у атрибута `CloudapiVinsGetResultModel.vnfdev.interfaces.net_type` в перечисляемом типе `NetType` было добавлено значение `SDN`. |
| BPYS-160 | Функция `cloudapi.vins.get`: у атрибута `CloudapiVinsGetResultModel.vnfdev.interfaces.net_type` в перечисляемом типе `NetType` было добавлено значение `TRUNK`. |
| BPYS-160 | Функция `cloudapi.vins.get`: у атрибута `CloudapiVinsGetResultModel.vnfs.dhcp.owner_type` в перечисляемом типе `NetType` было добавлено значение `SDN`. |
| BPYS-160 | Функция `cloudapi.vins.get`: у атрибута `CloudapiVinsGetResultModel.vnfs.dhcp.owner_type` в перечисляемом типе `NetType` было добавлено значение `TRUNK`. |
| BPYS-160 | Функция `cloudapi.vins.get`: у атрибута `CloudapiVinsGetResultModel.vnfs.gw.owner_type` в перечисляемом типе `NetType` было добавлено значение `SDN`. |
| BPYS-160 | Функция `cloudapi.vins.get`: у атрибута `CloudapiVinsGetResultModel.vnfs.gw.owner_type` в перечисляемом типе `NetType` было добавлено значение `TRUNK`. |
| BPYS-160 | Функция `cloudapi.vins.get`: у атрибута `CloudapiVinsGetResultModel.vnfs.nat.owner_type` в перечисляемом типе `NetType` было добавлено значение `SDN`. |
| BPYS-160 | Функция `cloudapi.vins.get`: у атрибута `CloudapiVinsGetResultModel.vnfs.nat.owner_type` в перечисляемом типе `NetType` было добавлено значение `TRUNK`. |
| BPYS-105 | Функция `cloudapi.bservice.get`: добавлен атрибут `CloudapiBserviceGetResultModel.zone_id`. |
| BPYS-105 | Функция `cloudapi.bservice.list`: добавлен атрибут `CloudapiBserviceListResultModel.data.zone_id`. |
| BPYS-111 | Функция `cloudapi.bservice.create`: добавлен параметр `zone_id`. |
| BPYS-114 | Функция `cloudapi.lb.create`: добавлен параметр `zone_id`. |
| BPYS-109 | Функция `cloudapi.lb.get`: добавлен атрибут `CloudapiLbGetResultModel.account_id`. |
| BPYS-109 | Функция `cloudapi.lb.get`: добавлен атрибут `CloudapiLbGetResultModel.zone_id`. |
| BPYS-109 | Функция `cloudapi.lb.list`: добавлен атрибут `CloudapiLbListResultModel.data.zone_id`. |
| BPYS-163 | Функция `cloudapi.rg.get`: добавлен атрибут `CloudapiRgGetResultModel.sdn_access_group_id`. |
| BPYS-163 | Функция `cloudapi.rg.list`: добавлен атрибут `CloudapiRgListResultModel.data.sdn_access_group_id`. |
| BPYS-162 | Функция `cloudapi.rg.create`: добавлен параметр `sdn_access_group_id`.|
| BPYS-115 | Функция `cloudapi.vins.create_in_account`: добавлен параметр `zone_id`.|
| BPYS-115 | Функция `cloudapi.vins.create_in_rg`: добавлен параметр `zone_id`.|
| BPYS-107 | Функция `cloudapi.extnet.get`: добавлен атрибут `CloudapiExtnetGetResultModel.mtu`. |
| BPYS-107 | Функция `cloudapi.extnet.get`: добавлен атрибут `CloudapiExtnetGetResultModel.pre_reservations`. |
| BPYS-107 | Функция `cloudapi.extnet.get`: добавлен атрибут `CloudapiExtnetGetResultModel.redundant`. |
| BPYS-107 | Функция `cloudapi.extnet.get`: добавлен атрибут `CloudapiExtnetGetResultModel.secondary_vnfdev_id`. |
| BPYS-107 | Функция `cloudapi.extnet.get`: добавлен атрибут `CloudapiExtnetGetResultModel.zone_id`. |
| BPYS-107 | Функция `cloudapi.extnet.get`: добавлен атрибут `CloudapiExtnetGetResultModel.network_ids`. |
| BPYS-110 | Функция `cloudapi.vins.get`: добавлен атрибут `CloudapiVinsGetResultModel.zone_id`. |
| BPYS-110 | Функция `cloudapi.vins.get`: добавлен атрибут `CloudapiVinsGetResultModel.vnfdev.zone_id`. |
| BPYS-110 | Функция `cloudapi.vins.get`: добавлен атрибут `CloudapiVinsGetResultModel.vnfdev.interfaces.sdn_logical_port_id`. |
| BPYS-110 | Функция `cloudapi.vins.get`: добавлен атрибут `CloudapiVinsGetResultModel.vnfs.gw.zone_id`. |
| BPYS-110 | Функция `cloudapi.vins.get`: добавлен атрибут `CloudapiVinsGetResultModel.vnfs.nat.zone_id`. |
| BPYS-110 | Функция `cloudapi.vins.get`: добавлен атрибут `CloudapiVinsGetResultModel.vnfs.dhcp.zone_id`. |
| BPYS-113 | Функция `cloudapi.kvmx86.create_blank`: добавлен параметр `zone_id`. |
| BPYS-113 | Функция `cloudapi.kvmx86.create_blank`: у параметра `interfaces` в модели `InterfaceAPIParamsNM` добавлен атрибут `sdn_logical_port_id`. |
| BPYS-113 | Функция `cloudapi.kvmx86.create`: добавлен параметр `zone_id`. |
| BPYS-113 | Функция `cloudapi.kvmx86.create`: у параметра `interfaces` в модели `InterfaceAPIParamsNM` добавлен атрибут `sdn_logical_port_id`. |
| BPYS-198 | Функция `cloudapi.account.delete`: тип который возвращает функция изменен с `CloudapiAccountDeleteResultBool` на `CloudapiAccountDeleteResultStr`. |
| BPYS-140 | Функция `cloudapi.bservice.get`: у атрибута `CloudapiBserviceGetResultModel.vms.tech_status` в перечисляемом типе `VMTechStatus` было добавлено значение `MERGE`. |
| BPYS-140 | Функция `cloudapi.compute.get`: у атрибута `CloudapiComputeGetResultModel.tech_status` в перечисляемом типе `VMTechStatus` было добавлено значение `MERGE`. |
| BPYS-140 | Функция `cloudapi.compute.list`: у атрибута `CloudapiComputeListResultModel.data.tech_status` в перечисляемом типе `VMTechStatus` было добавлено значение `MERGE`. |
| BPYS-140 | Функция `cloudapi.compute.list`: у параметра `tech_status` в перечисляемом типе `VMTechStatus` было добавлено значение `MERGE`. |
| BPYS-199 | Функция `cloudapi.account.restore`: тип который возвращает функция изменен с `CloudapiAccountRestoreResultBool` на `CloudapiAccountRestoreResultStr`. |
| BPYS-161 | Функция `cloudapi.compute.net_attach`: добавлен параметр `sdn_logical_port_id`. |
| BPYS-106 | Функция `cloudapi.compute.list`: добавлен атрибут `CloudapiComputeListResultModel.data.interfaces.sdn_logical_port_id`. |
| BPYS-106 | Функция `cloudapi.compute.list`: добавлен атрибут `CloudapiComputeListResultModel.data.interfaces.trunk_vlan_ids`. |
| BPYS-106 | Функция `cloudapi.compute.list`: добавлен атрибут `CloudapiComputeListResultModel.data.live_migration_job_id`. |
| BPYS-106 | Функция `cloudapi.compute.list`: добавлен атрибут `CloudapiComputeListResultModel.data.guest_agent`. |
| BPYS-106 | Функция `cloudapi.compute.list`: добавлен атрибут `CloudapiComputeListResultModel.data.zone_id`. |
| BPYS-106 | Функция `cloudapi.compute.get`: добавлен атрибут `CloudapiComputeGetResultModel.interfaces.sdn_logical_port_id`. |
| BPYS-106 | Функция `cloudapi.compute.get`: добавлен атрибут `CloudapiComputeGetResultModel.interfaces.trunk_vlan_ids`. |
| BPYS-106 | Функция `cloudapi.compute.get`: добавлен атрибут `CloudapiComputeGetResultModel.live_migration_job_id`. |
| BPYS-106 | Функция `cloudapi.compute.get`: добавлен атрибут `CloudapiComputeGetResultModel.guest_agent`. |
| BPYS-106 | Функция `cloudapi.compute.get`: добавлен атрибут `CloudapiComputeGetResultModel.zone_id`. |
| BPYS-106 | Функция `cloudapi.compute.get`: тип атрибута `CloudapiComputeGetResultModel.acl` изменен с `VMACLForComputeGetAPIResultNM` на `VMACLAPIResultNM`. |
| BPYS-106 | Функция `cloudapi.compute.user_list`: тип атрибута `CloudapiComputeUserListResultModel.data` изменен с `VMACLForComputeUserListAPIResultNM` на `VMACLAPIResultNM`. |
| BPYS-184 | Добавлены функции `cloudapi.k8s.create`, `cloudapi.k8s.delete`, `cloudapi.k8s.get`, `cloudapi.k8s.list`, `cloudapi.k8s.list_deleted`, `cloudapi.k8s.restore`. |
| BPYS-290 | Функция `cloudapi.image.list`: тип атрибута `CloudapiImageListResultModel.data.virtual` изменен с `bool` на `bool \| None`. |
| BPYS-110 | Функция `cloudapi.vins.get`: добавлен атрибут `CloudapiVinsGetResultModel.vnfs.dhcp.devices.secondary`. |
| BPYS-110 | Функция `cloudapi.vins.get`: добавлен атрибут `CloudapiVinsGetResultModel.vnfs.gw.devices.secondary`. |
| BPYS-110 | Функция `cloudapi.vins.get`: добавлен атрибут `CloudapiVinsGetResultModel.vnfs.nat.devices.secondary`. |
| BPYS-294 | Функция `cloudapi.locations.list`: добавлен атрибут `CloudapiLocationsListResultModel.data.network_modes`. |
| BPYS-295 | Функция `cloudapi.locations.list`: добавлен атрибут `CloudapiLocationsListResultModel.data.sdn_support`. |
| BPYS-165 | Добавлены функции `cloudapi.lb.enable`, `cloudapi.lb.disable`. |
| BPYS-191 | Добавлена функция `cloudapi.k8s.get_config`. |
| BPYS-167 | Добавлена функция `cloudapi.lb.make_highly_available`. |
| BPYS-186 | Добавлены функции `cloudapi.k8s.worker_reset`, `cloudapi.k8s.worker_restart`. |
| BPYS-187 | Добавлены функции `cloudapi.k8s.workers_group_add`, `cloudapi.k8s.workers_group_delete`, `cloudapi.k8s.workers_group_get_by_name` . |
| BPYS-306 | Функция `cloudapi.account.get`: добавлен атрибут `CloudapiAccountGetResultModel.acl.emails`. |
| BPYS-298 | Функция `cloudapi.compute.get`: у атрибута `CloudapiComputeGetResultModel.disks.status` в перечисляемом типе `DiskStatus` добавлены значения `BACKUP_RUNNING`, `CLONING`, `MERGE`, `MIGRATING`, `ROLLBACK`, `SNAPCREATE`. |
| BPYS-298 | Функция `cloudapi.disks.get`: у атрибута `CloudapiDisksGetResultModel.status` в перечисляемом типе `DiskStatus` добавлены значения `BACKUP_RUNNING`, `CLONING`, `MERGE`, `MIGRATING`, `ROLLBACK`, `SNAPCREATE`. |
| BPYS-298 | Функция `cloudapi.disks.list_deleted`: у атрибута `CloudapiDisksListDeletedResultModel.data.status` в перечисляемом типе `DiskStatus` добавлены значения `BACKUP_RUNNING`, `CLONING`, `MERGE`, `MIGRATING`, `ROLLBACK`, `SNAPCREATE`. |
| BPYS-298 | Функция `cloudapi.disks.list_unattached`: у атрибута `CloudapiDisksListUnattachedResultModel.data.status` в перечисляемом типе `DiskStatus` добавлены значения `BACKUP_RUNNING`, `CLONING`, `MERGE`, `MIGRATING`, `ROLLBACK`, `SNAPCREATE`. |
| BPYS-298 | Функция `cloudapi.disks.list_unattached`: у параметра `status` в перечисляемом типе `DiskStatus` добавлены значения `BACKUP_RUNNING`, `CLONING`, `MERGE`, `MIGRATING`, `ROLLBACK`, `SNAPCREATE`. |
| BPYS-298 | Функция `cloudapi.disks.list`: у атрибута `CloudapiDisksListResultModel.data.status` в перечисляемом типе `DiskStatus` добавлены значения `BACKUP_RUNNING`, `CLONING`, `MERGE`, `MIGRATING`, `ROLLBACK`, `SNAPCREATE`. |
| BPYS-298 | Функция `cloudapi.disks.list`: у параметра `status` в перечисляемом типе `DiskStatus` добавлены значения `BACKUP_RUNNING`, `CLONING`, `MERGE`, `MIGRATING`, `ROLLBACK`, `SNAPCREATE`. |
| BPYS-301 | Функция `cloudapi.bservice.get`: у атрибута `CloudapiBserviceGetResultModel.vms.tech_status` в перечисляемом типе `VMTechStatus` добавлены значения `CLONING`, `ROLLBACK`, `SNAPCREATE`. |
| BPYS-301 | Функция `cloudapi.compute.get`: у атрибута `CloudapiComputeGetResultModel.tech_status` в перечисляемом типе `VMTechStatus` добавлены значения `CLONING`, `ROLLBACK`, `SNAPCREATE`. |
| BPYS-301 | Функция `cloudapi.compute.list`: у атрибута `CloudapiComputeListResultModel.data.tech_status` в перечисляемом типе `VMTechStatus` добавлены значения `CLONING`, `ROLLBACK`, `SNAPCREATE`. |
| BPYS-301 | Функция `cloudapi.compute.list`: у параметра `tech_status` в перечисляемом типе `VMTechStatus` добавлены значения `CLONING`, `ROLLBACK`, `SNAPCREATE`. |
| BPYS-301 | Функция `cloudapi.k8s.get`: у атрибута `CloudapiK8sGetResultModel.node_groups.master.vms.tech_status` в перечисляемом типе `VMTechStatus` добавлены значения `CLONING`, `ROLLBACK`, `SNAPCREATE`. |
| BPYS-301 | Функция `cloudapi.k8s.get`: у атрибута `CloudapiK8sGetResultModel.node_groups.worker.vms.tech_status` в перечисляемом типе `VMTechStatus` добавлены значения `CLONING`, `ROLLBACK`, `SNAPCREATE`. |
| BPYS-178 | Функция `cloudapi.account.add_user`: добавлен параметр `user_name` в связи с переименованием из `user_id`. |
| BPYS-178 | Функция `cloudapi.account.delete_user`: добавлен параметр `user_name` в связи с переименованием из `user_id`. |
| BPYS-178 | Функция `cloudapi.account.update_user`: добавлен параметр `user_name` в связи с переименованием из `user_id`. |
| BPYS-178 | Добавлена функция `cloudapi.user.api_list`. |
| BPYS-90 | Добавлены функции `cloudapi.dpdknet.get`, `cloudapi.dpdknet.list`. |

## Удалено

### Функциональный интерфейс
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BPYS-125 | Функция `cloudapi.flipgroup.create`: удален параметр `client_type`. |
| BPYS-107 | Функция `cloudapi.extnet.get`: удален атрибут `CloudapiExtnetGetResultModel.network_id` . |
| BPYS-158 | Функция `cloudapi.tasks.get`: удален атрибут `CloudapiTasksGetResultModel.guid`. |
| BPYS-158 | Функция `cloudapi.tasks.list`: удален атрибут `CloudapiTasksListResultModel.data.guid`. |
| BPYS-253 | Функция `cloudapi.account.disable`: удален параметр `reason`.|
| BPYS-284 | Функция `cloudapi.disks.list_unattached`: удален атрибут `CloudapiDisksListUnattachedResultModel.data.pci_slot` . |
| BPYS-284 | Функция `cloudapi.disks.list_unattached`: удален атрибут `CloudapiDisksListUnattachedResultModel.data.vm_id` . |
| BPYS-290 | Функция `cloudapi.image.list`: удален атрибут `CloudapiImageListResultModel.data.arch`. |
| BPYS-178 | Функция `cloudapi.account.add_user`: удален параметр `user_id` в связи с переименованием в `user_name`. |
| BPYS-178 | Функция `cloudapi.account.delete_user`: удален параметр `user_id` в связи с переименованием в `user_name`. |
| BPYS-178 | Функция `cloudapi.account.update_user`: удален параметр `user_id` в связи с переименованием в `user_name`. |

## Исправлено

### Функциональный интерфейс
| Идентификатор<br>задачи | Описание |
| --- | --- |
| BPYS-311 | Функция `cloudapi.compute.get`: у атрибута `CloudapiComputeGetResultModel.disks.status` в перечисляемом типе `DiskStatus` добавлено значение `CREATING`. |
| BPYS-311 | Функция `cloudapi.disks.get`: у атрибута `CloudapiDisksGetResultModel.status` в перечисляемом типе `DiskStatus` добавлено значение `CREATING`. |
| BPYS-311 | Функция `cloudapi.disks.list_deleted`: у атрибута `CloudapiDisksListDeletedResultModel.data.status` в перечисляемом типе `DiskStatus` добавлено значение `CREATING`. |
| BPYS-311 | Функция `cloudapi.disks.list_unattached`: у атрибута `CloudapiDisksListUnattachedResultModel.data.status` в перечисляемом типе `DiskStatus` добавлено значение `CREATING`. |
| BPYS-311 | Функция `cloudapi.disks.list_unattached`: у параметра `status` в перечисляемом типе `DiskStatus` добавлено значение `CREATING`. |
| BPYS-311 | Функция `cloudapi.disks.list`: у атрибута `CloudapiDisksListResultModel.data.status` в перечисляемом типе `DiskStatus` добавлено значение `CREATING`. |
| BPYS-311 | Функция `cloudapi.disks.list`: у параметра `status` в перечисляемом типе `DiskStatus` добавлено значение `CREATING`. |
| BPYS-311 | Функция `cloudapi.compute.get`: у атрибута `CloudapiComputeGetResultModel.disks.status` в перечисляемом типе `DiskStatus` удалено значение `DESTROYING`. |
| BPYS-311 | Функция `cloudapi.disks.get`: у атрибута `CloudapiDisksGetResultModel.status` в перечисляемом типе `DiskStatus` удалено значение `DESTROYING`. |
| BPYS-311 | Функция `cloudapi.disks.list_deleted`: у атрибута `CloudapiDisksListDeletedResultModel.data.status` в перечисляемом типе `DiskStatus` удалено значение `DESTROYING`. |
| BPYS-311 | Функция `cloudapi.disks.list_unattached`: у атрибута `CloudapiDisksListUnattachedResultModel.data.status` в перечисляемом типе `DiskStatus` удалено значение `DESTROYING`. |
| BPYS-311 | Функция `cloudapi.disks.list_unattached`: у параметра `status` в перечисляемом типе `DiskStatus` удалено значение `DESTROYING`. |
| BPYS-311 | Функция `cloudapi.disks.list`: у атрибута `CloudapiDisksListResultModel.data.status` в перечисляемом типе `DiskStatus` удалено значение `DESTROYING`. |
| BPYS-311 | Функция `cloudapi.disks.list`: у параметра `status` в перечисляемом типе `DiskStatus` удалено значение `DESTROYING`. |
| BPYS-312 | В перечисляемом типе `VNFDevStatus` удалены значения `ENABLED`, `DISABLED`, `STASHED`. |
| BPYS-312 | В перечисляемом типе `VNFDevTechStatus` добавлены значения `DOWN`, `MIGRATING`, `SCHEDULED`. |
| BPYS-312 | В перечисляемом типе `TaskStatus` добавлены значения `ABORTED`, `CLEANUPED`, `SCHEDULED`. |
| BPYS-312 | В перечисляемом типе `PhysicalNodeStatus` добавлено значение `ERROR`. |
| BPYS-312 |  Функция `cloudapi.vins.get`: у атрибута `CloudapiVinsGetResultModel.vnfs.dhcp.status` перечисляемый тип изменен с `VNFDevStatus` на `VNFStatus`. |
| BPYS-312 |  Функция `cloudapi.vins.get`: у атрибута `CloudapiVinsGetResultModel.vnfs.dhcp.tech_status` перечисляемый тип изменен с `VNFDevTechStatus` на `VNFTechStatus`. |
| BPYS-312 |  Функция `cloudapi.vins.get`: у атрибута `CloudapiVinsGetResultModel.vnfs.gw.status` перечисляемый тип изменен с `VNFDevStatus` на `VNFStatus`. |
| BPYS-312 |  Функция `cloudapi.vins.get`: у атрибута `CloudapiVinsGetResultModel.vnfs.gw.tech_status` перечисляемый тип изменен с `VNFDevTechStatus` на `VNFTechStatus`. |
| BPYS-312 |  Функция `cloudapi.vins.get`: у атрибута `CloudapiVinsGetResultModel.vnfs.nat.status` перечисляемый тип изменен с `VNFDevStatus` на `VNFStatus`. |
| BPYS-312 |  Функция `cloudapi.vins.get`: у атрибута `CloudapiVinsGetResultModel.vnfs.nat.tech_status` перечисляемый тип изменен с `VNFDevTechStatus` на `VNFTechStatus`. |
