import dynamix_sdk.base as _base
from . import enums as _enums


class DiskAPIParamsNM(_base.BaseAPIParamsNestedModel):
    name: str
    size_gb: int

    description: None | str = None
    image_id: None | int = None
    sep_id: None | int = None
    sep_pool_name: None | str = None


class InterfaceAPIParamsNM(_base.BaseAPIParamsNestedModel):
    net_id: int
    net_type: _enums.NetType
    sdn_logical_port_id: str

    ip_addr: None | str = None
    mac: None | str = None
    mtu: None | int = None


class RouteAPIParamsNM(_base.BaseAPIParamsNestedModel):
    dst_net_ip: str
    dst_net_mask: str
    gateway: str
