import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiAccountListDeletedResultModel(_base.BaseAPIResultModel):
    data: list[_nested.AccountAPIResultNM]
    entry_count: int


class CloudapiAccountListDeletedProtocol(_base.BasePostAPIFunctionProtocol):
    def list_deleted(
        self,
        *,
        access_type: None | _nested.AccessType = None,
        id: None | int = None,
        name: None | str = None,
        page_number: None | int = None,
        page_size: None | int = None,
        sort_by: None | str = None,
    ) -> CloudapiAccountListDeletedResultModel:
        ...
