import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiBserviceGroupAddResultInt(_base.BaseAPIResultInt):
    pass


class CloudapiBserviceGroupAddProtocol(_base.BasePostAPIFunctionProtocol):
    def group_add(
        self,
        *,
        bservice_id: int,
        vm_count: int,
        cpu_count: int,
        boot_disk_size_gb: int,
        driver: _nested.Driver,
        image_id: int,
        name: str,
        ram_size_mb: int,
        ci_user_data: str | None = None,
        extnet_ids: list[int] | None = None,
        role: str | None = None,
        sep_id: int | None = None,
        sep_pool_name: str | None = None,
        start_timeout: int | None = None,
        vins_ids: list[int] | None = None,
        chipset: _nested.Chipset = _nested.Chipset.i440fx,
    ) -> CloudapiBserviceGroupAddResultInt:
        ...
