import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiBserviceListResultModel(_base.BaseAPIResultModel):
    data: list[_nested.BServiceAPIResultNM]
    entry_count: int


class CloudapiBserviceListProtocol(_base.BasePostAPIFunctionProtocol):
    def list(
        self,
        *,
        account_id: int | None = None,
        account_name: str | None = None,
        id: int | None = None,
        name: str | None = None,
        page_number: int | None = None,
        page_size: int | None = None,
        rg_id: int | None = None,
        rg_name: str | None = None,
        sort_by: str | None = None,
        status: _nested.BServiceStatus | None = None,
        tech_status: _nested.BServiceTechStatus | None = None,
    ) -> CloudapiBserviceListResultModel:
        ...
