import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiComputeListResultModel(_base.BaseAPIResultModel):
    data: list[_nested.VMAPIResultNM]
    entry_count: int


class CloudapiComputeListProtocol(_base.BasePostAPIFunctionProtocol):
    def list(
        self,
        *,
        account_id: int | None = None,
        ext_net_id: int | None = None,
        ext_net_name: str | None = None,
        id: int | None = None,
        include_deleted: bool = False,
        ip_addr: str | None = None,
        name: str | None = None,
        page_number: int | None = None,
        page_size: int | None = None,
        rg_id: int | None = None,
        rg_name: str | None = None,
        sort_by: str | None = None,
        status: _nested.VMStatus | None = None,
        tech_status: _nested.VMTechStatus | None = None,
    ) -> CloudapiComputeListResultModel:
        ...
