import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiDisksListDeletedResultModel(_base.BaseAPIResultModel):
    data: list[_nested.DiskForListAndListDeletedAPIResultNM]
    entry_count: int


class CloudapiDisksListDeletedProtocol(_base.BasePostAPIFunctionProtocol):
    def list_deleted(
        self,
        *,
        account_id: int | None = None,
        account_name: str | None = None,
        disk_max_size_gb: int | None = None,
        id: int | None = None,
        name: str | None = None,
        page_number: int | None = None,
        page_size: int | None = None,
        shared: bool | None = None,
        sort_by: str | None = None,
        type: _nested.DiskType | None = None,
    ) -> CloudapiDisksListDeletedResultModel:
        ...
