import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiK8ciListResultModel(_base.BaseAPIResultModel):
    data: list[_nested.K8CIForListAPIResultNM]
    entry_count: int


class CloudapiK8ciListProtocol(_base.BasePostAPIFunctionProtocol):
    def list(
        self,
        *,
        id: int | None = None,
        include_disabled: bool = False,
        master_node_driver: _nested.Driver | None = None,
        name: str | None = None,
        network_plugin: _nested.K8sNetworkPlugin | None = None,
        page_number: int | None = None,
        page_size: int | None = None,
        sort_by: str | None = None,
        status: _nested.K8CIStatus | None = None,
        worker_node_driver: _nested.Driver | None = None,
    ) -> CloudapiK8ciListResultModel:
        ...
