import dynamix_sdk.base as _base
from .create import *
from .delete import *
from .get import *
from .get_config import *
from .list import *
from .list_deleted import *
from .restore import *
from .worker_reset import *
from .worker_restart import *
from .workers_group_add import *
from .workers_group_delete import *
from .workers_group_get_by_name import *


class CloudapiK8sAPI(
    _base.BaseAPI,
    CloudapiK8sCreateProtocol,
    CloudapiK8sDeleteProtocol,
    CloudapiK8sGetConfigProtocol,
    CloudapiK8sGetProtocol,
    CloudapiK8sListDeletedProtocol,
    CloudapiK8sListProtocol,
    CloudapiK8sRestoreProtocol,
    CloudapiK8sWorkerResetProtocol,
    CloudapiK8sWorkerRestartProtocol,
    CloudapiK8sWorkersGroupAddProtocol,
    CloudapiK8sWorkersGroupDeleteProtocol,
    CloudapiK8sWorkersGroupGetByNameProtocol,
):
    pass
