import dynamix_sdk.base as _base
from dynamix_sdk.api import _nested


class CloudapiLbBackendServerUpdateResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiLbBackendServerUpdateProtocol(_base.BasePostAPIFunctionProtocol):
    def backend_server_update(
        self,
        *,
        lb_id: int,
        backend_name: str,
        server_name: str,
        ip_addr: str,
        port: int,
        check: _nested.LBServerCheck = _nested.LBServerCheck.ENABLED,
        inter: int = 5000,
        downinter: int = 1000,
        rise: int = 2,
        fall: int = 2,
        slowstart: int = 60000,
        maxconn: int = 250,
        maxqueue: int = 256,
        weight: int = 256,
    ) -> CloudapiLbBackendServerUpdateResultBool:
        ...
