import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiLbListDeletedResultModel(_base.BaseAPIResultModel):
    data: list[_nested.LBAPIResultNM]
    entry_count: int


class CloudapiLbListDeletedProtocol(_base.BasePostAPIFunctionProtocol):
    def list_deleted(
        self,
        *,
        account_id: None | int = None,
        backend_ip_addr: None | str = None,
        frontend_ip_addr: None | str = None,
        id: None | int = None,
        name: None | str = None,
        page_number: None | int = None,
        page_size: None | int = None,
        rg_id: None | int = None,
        sort_by: None | str = None,
        tech_status: None | _nested.LBTechStatus = None,
    ) -> CloudapiLbListDeletedResultModel:
        ...
