import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiLocationsListResultModel(_base.BaseAPIResultModel):
    data: list[_nested.LocationAPIResultNM]
    entry_count: int


class CloudapiLocationsListProtocol(_base.BasePostAPIFunctionProtocol):
    def list(
        self,
        *,
        flag: str | None = None,
        id: int | None = None,
        location_code: str | None = None,
        name: str | None = None,
        page_number: int | None = None,
        page_size: int | None = None,
        sort_by: str | None = None,
    ) -> CloudapiLocationsListResultModel:
        ...
