import dynamix_sdk.base as _base
from .access_grant import *
from .access_revoke import *
from .create import *
from .delete import *
from .disable import *
from .enable import *
from .get import *
from .list import *
from .remove_def_net import *
from .restore import *
from .set_def_net import *
from .update import *


class CloudapiRgAPI(
    _base.BaseAPI,
    CloudapiRgAccessGrantProtocol,
    CloudapiRgAccessRevokeProtocol,
    CloudapiRgCreateProtocol,
    CloudapiRgDeleteProtocol,
    CloudapiRgDisableProtocol,
    CloudapiRgEnableProtocol,
    CloudapiRgGetProtocol,
    CloudapiRgListProtocol,
    CloudapiRgRemoveDefNetProtocol,
    CloudapiRgRestoreProtocol,
    CloudapiRgSetDefNetProtocol,
    CloudapiRgUpdateProtocol,
):
    pass
