import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiStackListResultModel(_base.BaseAPIResultModel):
    data: list[_nested.StackAPIResultNM]
    entry_count: int


class CloudapiStackListProtocol(_base.BasePostAPIFunctionProtocol):
    def list(
        self,
        *,
        id: int | None = None,
        name: str | None = None,
        page_number: int | None = None,
        page_size: int | None = None,
        sort_by: str | None = None,
        status: _nested.PhysicalNodeStatus | None = None,
        type: str | None = None,
    ) -> CloudapiStackListResultModel:
        ...
