import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiUserGetAuditResultModel(_base.BaseAPIResultModel):
    data: list[_nested.UserAuditAPIResultNM]
    entry_count: int


class CloudapiUserGetAuditProtocol(_base.BasePostAPIFunctionProtocol):
    def get_audit(
        self,
        *,
        api_url_path: str | None = None,
        min_status_code: int | None = None,
        max_status_code: int | None = None,
        request_timestamp_start: int | None = None,
        request_timestamp_end: int | None = None,
        page_number: int | None = None,
        page_size: int | None = None,
        sort_by: str = '-Time',
    ) -> CloudapiUserGetAuditResultModel:
        ...
