import dynamix_sdk.base as _base
from .create_in_account import *
from .create_in_rg import *
from .delete import *
from .get import *
from .ip_list import *
from .ip_release import *
from .ip_reserve import *
from .list import *
from .list_deleted import *
from .restore import *
from .static_route_add import *
from .static_route_del import *
from .static_route_list import *
from .vnfdev_redeploy import *
from .vnfdev_restart import *
from .enable import *
from .disable import *


class CloudapiVinsAPI(
    _base.BaseAPI,
    CloudapiVinsEnableProtocol,
    CloudapiVinsDisableProtocol,
    CloudapiVinsCreateInAccountProtocol,
    CloudapiVinsCreateInRGProtocol,
    CloudapiVinsDeleteProtocol,
    CloudapiVinsGetProtocol,
    CloudapiVinsIpListProtocol,
    CloudapiVinsIpReleaseProtocol,
    CloudapiVinsIpReserveProtocol,
    CloudapiVinsListDeletedProtocol,
    CloudapiVinsListProtocol,
    CloudapiVinsRestoreProtocol,
    CloudapiVinsStaticRouteAddProtocol,
    CloudapiVinsStaticRouteDelProtocol,
    CloudapiVinsStaticRouteListProtocol,
    CloudapiVinsVnfdevRedeployProtocol,
    CloudapiVinsVnfdevRestartProtocol,
):
    pass
