import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiVinsCreateInAccountResultInt(_base.BaseAPIResultInt):
    pass


class CloudapiVinsCreateInAccountProtocol(_base.BasePostAPIFunctionProtocol):
    def create_in_account(
        self,
        *,
        name: str,
        account_id: int,
        description: None | str = None,
        dns_servers: None | list[str] = None,
        grid_id: None | int = None,
        ip_cidr: None | str = None,
        pre_reservation_count: int = 32,
        routes: None | list[_nested.RouteAPIParamsNM] = None,
        zone_id: None | int = None,
    ) -> CloudapiVinsCreateInAccountResultInt:
        ...
