import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiVinsListResultModel(_base.BaseAPIResultModel):
    data: list[_nested.VINSForListAPIResultNM]
    entry_count: int


class CloudapiVinsListProtocol(_base.BasePostAPIFunctionProtocol):
    def list(
        self,
        *,
        account_id: int | None = None,
        ext_net_ip: str | None = None,
        id: int | None = None,
        include_deleted: bool = False,
        name: str | None = None,
        page_number: int | None = None,
        page_size: int | None = None,
        rg_id: int | None = None,
        sort_by: str | None = None,
        status: _nested.VINSStatus | None = None,
        vnfdev_id: int | None = None
    ) -> CloudapiVinsListResultModel:
        ...
