import dynamix_sdk.base as _base
from .add_user import *
from .delete import *
from .delete_user import *
from .disable import *
from .enable import *
from .get import *
from .list import *
from .list_deleted import *
from .restore import *
from .update import *
from .update_user import *


class CloudapiAccountAPI(
    _base.BaseAPI,
    CloudapiAccountAddUserProtocol,
    CloudapiAccountDeleteProtocol,
    CloudapiAccountDeleteUserProtocol,
    CloudapiAccountDisableProtocol,
    CloudapiAccountEnableProtocol,
    CloudapiAccountGetProtocol,
    CloudapiAccountListDeletedProtocol,
    CloudapiAccountListProtocol,
    CloudapiAccountRestoreProtocol,
    CloudapiAccountUpdateProtocol,
    CloudapiAccountUpdateUserProtocol,
):
    pass
