import dynamix_sdk.base as _base
from .affinity_label_remove import *
from .affinity_label_set import *
from .affinity_relations import *
from .affinity_rule_add import *
from .affinity_rule_remove import *
from .affinity_rules_clear import *
from .anti_affinity_rule_add import *
from .anti_affinity_rule_remove import *
from .anti_affinity_rules_clear import *
from .cd_eject import *
from .cd_insert import *
from .change_ip import *
from .clone import *
from .delete import *
from .delete_custom_fields import *
from .disk_add import *
from .disk_attach import *
from .disk_del import *
from .disk_detach import *
from .disk_resize import *
from .get import *
from .list import *
from .net_attach import *
from .net_detach import *
from .pause import *
from .pfw_add import *
from .pfw_del import *
from .pfw_list import *
from .pin_to_stack import *
from .reboot import *
from .redeploy import *
from .resize import *
from .resume import *
from .set_custom_fields import *
from .snapshot_create import *
from .snapshot_list import *
from .snapshot_rollback import *
from .start import *
from .stop import *
from .tag_add import *
from .tag_remove import *
from .unpin_from_stack import *
from .update import *
from .user_grant import *
from .user_list import *
from .user_revoke import *
from .user_update import *


class CloudapiComputeAPI(
    _base.BaseAPI,
    CloudapiComputeAffinityLabelRemoveProtocol,
    CloudapiComputeAffinityLabelSetProtocol,
    CloudapiComputeAffinityRelationsProtocol,
    CloudapiComputeAffinityRuleAddProtocol,
    CloudapiComputeAffinityRuleRemoveProtocol,
    CloudapiComputeAffinityRulesClearProtocol,
    CloudapiComputeAntiAffinityRuleAddProtocol,
    CloudapiComputeAntiAffinityRuleRemoveProtocol,
    CloudapiComputeAntiAffinityRulesClearProtocol,
    CloudapiComputeCdEjectProtocol,
    CloudapiComputeCdInsertProtocol,
    CloudapiComputeChangeIpProtocol,
    CloudapiComputeCloneProtocol,
    CloudapiComputeDeleteCustomFieldsProtocol,
    CloudapiComputeDeleteProtocol,
    CloudapiComputeDiskAddProtocol,
    CloudapiComputeDiskAttachProtocol,
    CloudapiComputeDiskDelProtocol,
    CloudapiComputeDiskDetachProtocol,
    CloudapiComputeDiskResizeProtocol,
    CloudapiComputeGetProtocol,
    CloudapiComputeListProtocol,
    CloudapiComputeNetAttachProtocol,
    CloudapiComputeNetDetachProtocol,
    CloudapiComputePauseProtocol,
    CloudapiComputePfwAddProtocol,
    CloudapiComputePfwDelProtocol,
    CloudapiComputePfwListProtocol,
    CloudapiComputePinToStackProtocol,
    CloudapiComputeRebootProtocol,
    CloudapiComputeRedeployProtocol,
    CloudapiComputeResizeProtocol,
    CloudapiComputeResumeProtocol,
    CloudapiComputeSetCustomFieldsProtocol,
    CloudapiComputeSnapshotCreateProtocol,
    CloudapiComputeSnapshotListProtocol,
    CloudapiComputeSnapshotRollbackProtocol,
    CloudapiComputeStartProtocol,
    CloudapiComputeStopProtocol,
    CloudapiComputeTagAddProtocol,
    CloudapiComputeTagRemoveProtocol,
    CloudapiComputeUnpinFromStackProtocol,
    CloudapiComputeUpdateProtocol,
    CloudapiComputeUserGrantProtocol,
    CloudapiComputeUserListProtocol,
    CloudapiComputeUserRevokeProtocol,
    CloudapiComputeUserUpdateProtocol,
):
    pass
