import dynamix_sdk.base as _base
from .create import *
from .delete import *
from .delete_disks import *
from .get import *
from .limit_io import *
from .list import *
from .list_deleted import *
from .list_types import *
from .list_unattached import *
from .rename import *
from .resize2 import *
from .restore import *
from .share import *
from .snapshot_delete import *
from .snapshot_rollback import *
from .unshare import *


class CloudapiDisksAPI(
    _base.BaseAPI,
    CloudapiDisksCreateProtocol,
    CloudapiDisksDeleteDisksProtocol,
    CloudapiDisksDeleteProtocol,
    CloudapiDisksGetProtocol,
    CloudapiDisksLimitIOProtocol,
    CloudapiDisksListDeletedProtocol,
    CloudapiDisksListProtocol,
    CloudapiDisksListTypesProtocol,
    CloudapiDisksListUnattachedProtocol,
    CloudapiDisksRenameProtocol,
    CloudapiDisksResize2Protocol,
    CloudapiDisksRestoreProtocol,
    CloudapiDisksShareProtocol,
    CloudapiDisksSnapshotDeleteProtocol,
    CloudapiDisksSnapshotRollbackProtocol,
    CloudapiDisksUnshareProtocol,
):
    pass
