import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiDisksListUnattachedResultModel(_base.BaseAPIResultModel):
    data: list[_nested.DiskForListUnattachedAPIResultNM]
    entry_count: int


class CloudapiDisksListUnattachedProtocol(_base.BasePostAPIFunctionProtocol):
    def list_unattached(
        self,
        *,
        account_id: int | None = None,
        account_name: str | None = None,
        disk_max_size_gb: int | None = None,
        id: int | None = None,
        page_number: int | None = None,
        page_size: int | None = None,
        sep_id: int | None = None,
        sep_pool_name: str | None = None,
        sort_by: str | None = None,
        status: _nested.DiskStatus | None = None,
        type: _nested.DiskType | None = None,
    ) -> CloudapiDisksListUnattachedResultModel:
        ...
