import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiDpdknetListResultModel(_base.BaseAPIResultModel):
    data: list[_nested.DPDKNetAPIResultNM]
    entry_count: int


class CloudapiDpdknetListProtocol(_base.BasePostAPIFunctionProtocol):
    def list(
        self,
        *,
        description: str | None = None,
        grid_id: int | None = None,
        id: int | None = None,
        name: str | None = None,
        page_number: int | None = None,
        page_size: int | None = None,
        sort_by: str | None = None,
        status: _nested.DPDKNetStatus | None = None,
        vm_ids: list[int] | None = None,
    ) -> CloudapiDpdknetListResultModel:
        ...
