import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiExtnetListResultModel(_base.BaseAPIResultModel):
    data: list[_nested.ExtNetForListAPIResultNM]
    entry_count: int


class CloudapiExtnetListProtocol(_base.BasePostAPIFunctionProtocol):
    def list(
        self,
        *,
        account_id: int | None = None,
        id: int | None = None,
        name: str | None = None,
        net_ip: str | None = None,
        ovs_bridge: str | None = None,
        page_number: int | None = None,
        page_size: int | None = None,
        sort_by: str | None = None,
        status: _nested.ExtNetStatus | None = None,
        vlan_id: int | None = None,
        vnfdev_id: int | None = None,
    ) -> CloudapiExtnetListResultModel:
        ...
