import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiFlipgroupListResultModel(_base.BaseAPIResultModel):
    data: list[_nested.FlipGroupForListAPIResultNM]
    entry_count: int


class CloudapiFlipgroupListProtocol(_base.BasePostAPIFunctionProtocol):
    def list(
        self,
        *,
        account_id: int | None = None,
        client_ids: list[int] | None = None,
        conn_id: int | None = None,
        ext_net_id: int | None = None,
        id: int | None = None,
        ip_addr: str | None = None,
        name: str | None = None,
        page_number: int | None = None,
        page_size: int | None = None,
        rg_id: int | None = None,
        sort_by: str | None = None,
        status: _nested.FlipGroupStatus | None = None,
        vins_id: int | None = None,
        vins_name: str | None = None,
    ) -> CloudapiFlipgroupListResultModel:
        ...
