import dynamix_sdk.base as _base
from .create import *
from .create_virtual import *
from .delete import *
from .get import *
from .link import *
from .list import *
from .rename import *


class CloudapiImageAPI(
    _base.BaseAPI,
    CloudapiImageCreateProtocol,
    CloudapiImageCreateVirtualProtocol,
    CloudapiImageDeleteProtocol,
    CloudapiImageGetProtocol,
    CloudapiImageLinkProtocol,
    CloudapiImageListProtocol,
    CloudapiImageRenameProtocol,
):
    pass
