import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiK8sListResultModel(_base.BaseAPIResultModel):
    data: list[_nested.K8sListAPIResultNM]
    entry_count: int


class CloudapiK8sListProtocol(_base.BasePostAPIFunctionProtocol):
    def list(
        self,
        *,
        bservice_id: int | None = None,
        id: int | None = None,
        include_deleted: bool = False,
        ip_addr: str | None = None,
        lb_id: int | None = None,
        name: str | None = None,
        page_number: int | None = None,
        page_size: int | None = None,
        rg_id: int | None = None,
        sort_by: str | None = None,
        status: _nested.K8sStatus | None = None,
        tech_status: _nested.K8sTechStatus | None = None,
    ) -> CloudapiK8sListResultModel:
        ...
