import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiK8sListDeletedResultModel(_base.BaseAPIResultModel):
    data: list[_nested.K8sListDeletedAPIResultNM]
    entry_count: int


class CloudapiK8sListDeletedProtocol(_base.BasePostAPIFunctionProtocol):
    def list_deleted(
        self,
        *,
        bservice_id: int | None = None,
        id: int | None = None,
        ip_addr: str | None = None,
        lb_id: int | None = None,
        name: str | None = None,
        page_number: int | None = None,
        page_size: int | None = None,
        rg_id: int | None = None,
        sort_by: str | None = None,
        tech_status: _nested.K8sTechStatus | None = None,
    ) -> CloudapiK8sListDeletedResultModel:
        ...
