import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiK8sWorkersGroupAddResultStr(_base.BaseAPIResultStr):
    pass


class CloudapiK8sWorkersGroupAddProtocol(_base.BasePostAPIFunctionProtocol):
    def workers_group_add(
        self,
        *,
        k8s_id: int,
        name: str,
        sep_id: int | None = None,
        sep_pool_name: str | None = None,
        labels: list[str] | None = None,
        taints: list[str] | None = None,
        annotations: list[str] | None = None,
        node_count: int = 1,
        node_cpu_count: int = 1,
        node_ram_size_mb: int = 1024,
        node_disk_size_gb: int | None = None,
        ci_user_data:  str | None = None,
        chipset: _nested.Chipset = _nested.Chipset.i440fx,
    ) -> CloudapiK8sWorkersGroupAddResultStr:
        ...
