import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiK8sWorkersGroupGetByNameResultModel(_base.BaseAPIResultModel):
    annotations: list[str]
    node_boot_disk_size_gb: int
    node_cpu_count: int
    vms: list[_nested.K8sVMAPIResultNM]
    id: int
    labels: list[str]
    name: str
    node_ram_size_mb: int
    taints: list[str]
    node_count: int


class CloudapiK8sWorkersGroupGetByNameProtocol(
    _base.BasePostAPIFunctionProtocol
):
    def workers_group_get_by_name(
        self,
        *,
        k8s_id: int,
        worker_group_name: str,
    ) -> CloudapiK8sWorkersGroupGetByNameResultModel:
        ...
