import dynamix_sdk.base as _base
from .backend_create import *
from .backend_delete import *
from .backend_server_add import *
from .backend_server_delete import *
from .backend_server_update import *
from .backend_update import *
from .create import *
from .delete import *
from .disable import *
from .enable import *
from .frontend_bind import *
from .frontend_bind_delete import *
from .frontend_binding_update import *
from .frontend_create import *
from .frontend_delete import *
from .get import *
from .list import *
from .list_deleted import *
from .make_highly_available import *


class CloudapiLbAPI(
    _base.BaseAPI,
    CloudapiLbBackendCreateProtocol,
    CloudapiLbBackendDeleteProtocol,
    CloudapiLbBackendServerAddProtocol,
    CloudapiLbBackendServerDeleteProtocol,
    CloudapiLbBackendServerUpdateProtocol,
    CloudapiLbBackendUpdateProtocol,
    CloudapiLbCreateProtocol,
    CloudapiLbDeleteProtocol,
    CloudapiLbDisableProtocol,
    CloudapiLbEnableProtocol,
    CloudapiLbFrontendBindDeleteProtocol,
    CloudapiLbFrontendBindProtocol,
    CloudapiLbFrontendBindingUpdateProtocol,
    CloudapiLbFrontendCreateProtocol,
    CloudapiLbFrontendDeleteProtocol,
    CloudapiLbGetProtocol,
    CloudapiLbListDeletedProtocol,
    CloudapiLbListProtocol,
    CloudapiLbMakeHighlyAvailableProtocol,
):
    pass
