import dynamix_sdk.base as _base
from dynamix_sdk.api import _nested


class CloudapiLbBackendCreateResultBool(_base.BaseAPIResultBool):
    pass


class CloudapiLbBackendCreateProtocol(_base.BasePostAPIFunctionProtocol):
    def backend_create(
        self,
        *,
        lb_id: int,
        backend_name: str,
        inter: int = 5000,
        algorithm: _nested.LBBackendAlgorithm = (
            _nested.LBBackendAlgorithm.ROUNDROBIN
        ),
        downinter: int = 1000,
        rise: int = 2,
        fall: int = 2,
        slowstart: int = 60000,
        maxconn: int = 250,
        maxqueue: int = 256,
        weight: int = 256,
    ) -> CloudapiLbBackendCreateResultBool:
        ...
