import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiRgListResultModel(_base.BaseAPIResultModel):
    data: list[_nested.ResourceGroupAPIResultNM]
    entry_count: int


class CloudapiRgListProtocol(_base.BasePostAPIFunctionProtocol):
    def list(
        self,
        *,
        account_id: int | None = None,
        account_name: str | None = None,
        created_after_timestamp: int | None = None,
        created_before_timestamp: int | None = None,
        id: int | None = None,
        include_deleted: bool = False,
        lock_status: _nested.LockStatus | None = None,
        name: str | None = None,
        page_number: int | None = None,
        page_size: int | None = None,
        sort_by: str | None = None,
        status: _nested.ResourceGroupStatus | None = None,
    ) -> CloudapiRgListResultModel:
        ...
