import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiVinsListDeletedResultModel(_base.BaseAPIResultModel):
    data: list[_nested.VINSForListDeletedAPIResultNM]
    entry_count: int


class CloudapiVinsListDeletedProtocol(_base.BasePostAPIFunctionProtocol):
    def list_deleted(
        self,
        *,
        account_id: int | None = None,
        ext_net_ip: str | None = None,
        id: int | None = None,
        name: str | None = None,
        page_number: int | None = None,
        page_size: int | None = None,
        rg_id: int | None = None,
        sort_by: str | None = None,
        vnfdev_id: int | None = None,
    ) -> CloudapiVinsListDeletedResultModel:
        ...
